#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    int n, q;
    cin>>n>>q;
    int niz[n];

    for(int i=0; i<n; i++){
        cin>>niz[i];
    }

    for(int k=0; k<q; k++){
        cout<<"1"<<endl;
    }

    return 0;
}